Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.quality

# Class DefaultThematicClassificationCorrectness

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractElement
AbstractThematicAccuracy
DefaultThematicClassificationCorrectness

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `Element`, `ThematicAccuracy`, `ThematicClassificationCorrectness`

public class DefaultThematicClassificationCorrectness extends AbstractThematicAccuracy implements ThematicClassificationCorrectness
Comparison of the classes assigned to features or their attributes to a universe of discourse. See the `ThematicClassificationCorrectness` GeoAPI interface for more details. The following property is mandatory in a well-formed metadata according ISO 19157:
`DQ_ThematicClassificationCorrectness` `└─result……………` Value obtained from applying a data quality measure.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultThematicClassificationCorrectness()`
  Constructs an initially empty thematic classification correctness.
  `DefaultThematicClassificationCorrectness(ThematicClassificationCorrectness object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultThematicClassificationCorrectness`
  `castOrCopy(ThematicClassificationCorrectness object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.

  ### Methods inherited from class AbstractThematicAccuracy

  `castOrCopy`

  ### Methods inherited from class AbstractElement

  `castOrCopy, getDates, getDerivedElements, getEvaluationMethod, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getMeasureReference, getNamesOfMeasure, getResults, getStandaloneQualityReportDetails, setDates, setDerivedElements, setEvaluationMethod, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setMeasureDescription, setMeasureIdentification, setMeasureReference, setNamesOfMeasure, setResults, setStandaloneQualityReportDetails`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Element

  `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults`

- ## Constructor Details

  - ### DefaultThematicClassificationCorrectness

    public DefaultThematicClassificationCorrectness()
    Constructs an initially empty thematic classification correctness.

  - ### DefaultThematicClassificationCorrectness

    public DefaultThematicClassificationCorrectness(ThematicClassificationCorrectness object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(ThematicClassificationCorrectness)`

- ## Method Details

  - ### castOrCopy

    public static DefaultThematicClassificationCorrectness castOrCopy(ThematicClassificationCorrectness object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is already an instance of `DefaultThematicClassificationCorrectness`, then it is returned unchanged.
    - Otherwise a new `DefaultThematicClassificationCorrectness` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.